---
.counter_template: &counter
    children:
    -   name: '1'
    -   name: '2'
    initial: '1'
    name: counting
    transitions:
    -   dest: '2'
        source: '1'
        trigger: increase
    -   dest: '1'
        source: '2'
        trigger: decrease

after_state_change: []
auto_transitions: true
before_state_change: []
finalize_event: []
ignore_invalid_triggers: null
initial: waiting
models:
-   class-name: self
    name: 'card: '
    state: waiting
name: card
prepare_event: []
queued: false
send_event: false
states:
-   name: waiting
-   name: collecting
-   <<: *counter

transitions:
-   dest: collecting
    source: waiting
    trigger: collect
-   dest: collecting
    source: collecting
    trigger: collect
-   dest: collecting
    source: counting
    trigger: collect
-   dest: waiting
    source: waiting
    trigger: wait
-   dest: waiting
    source: collecting
    trigger: wait
-   dest: waiting
    source: counting
    trigger: wait
-   dest: counting
    source: collecting
    trigger: count
